### Hierarchy

- IpcProvider

## Index

### Constructors

- constructor

### Properties

- connection
- lastChunk
- lastChunkTimeout
- notificationCallbacks
- path
- responseCallbacks

### Methods

- addDefaultEvents
- addResponseCallback
- callback
- on
- once
- parseResponse
- reconnect
- removeAllListeners
- removeListener
- reset
- send
- timeout

## Constructors

### constructor

- new IpcProvider(path: string, net: any): IpcProvider

- - Defined in providers/ipcProvider.ts:12

  #### Parameters

  - ##### path: string

  - ##### net: any

  #### Returns IpcProvider

## Properties

### connection

connection: any

- Defined in providers/ipcProvider.ts:10

### lastChunk

lastChunk: any

- Defined in providers/ipcProvider.ts:11

### lastChunkTimeout

lastChunkTimeout: any

- Defined in providers/ipcProvider.ts:12

### notificationCallbacks

notificationCallbacks: any[]

- Defined in providers/ipcProvider.ts:8

### path

path: string

- Defined in providers/ipcProvider.ts:9

### responseCallbacks

responseCallbacks: object

- Defined in providers/ipcProvider.ts:7

## Methods

### Private addDefaultEvents

- addDefaultEvents(): void

- - Defined in providers/ipcProvider.ts:178

  add default events

  #### Returns void

### Private addResponseCallback

- addResponseCallback(payload: any, callback: any): void

- - Defined in providers/ipcProvider.ts:192

  Add callback to response

  #### Parameters

  - ##### payload: any

  - ##### callback: any

  #### Returns void

### Private callback

- callback(result: any): void

- - Defined in providers/ipcProvider.ts:150

  Handling response

  #### Parameters

  - ##### result: any

  #### Returns void

### on

- on(type: string, callback: any): void

- - Defined in providers/ipcProvider.ts:43

  Listen for specified events

  #### Parameters

  - ##### type: string

  - ##### callback: any

  #### Returns void

### once

- once(type: string, callback: any): void

- - Defined in providers/ipcProvider.ts:77

  Listen for specified events once

  #### Parameters

  - ##### type: string

  - ##### callback: any

  #### Returns void

### Private parseResponse

- parseResponse(data: string): any[]

- - Defined in providers/ipcProvider.ts:205

  Parse the response

  #### Parameters

  - ##### data: string

    response

  #### Returns any[]

### reconnect

- reconnect(): void

- - Defined in providers/ipcProvider.ts:34

  Reconnect the connection

  #### Returns void

### removeAllListeners

- removeAllListeners(type: string): void

- - Defined in providers/ipcProvider.ts:107

  Remove all listening event

  #### Parameters

  - ##### type: string

  #### Returns void

### removeListener

- removeListener(type: string, callback: any): void

- - Defined in providers/ipcProvider.ts:90

  Remove the specified listening event

  #### Parameters

  - ##### type: string

  - ##### callback: any

  #### Returns void

### reset

- reset(): void

- - Defined in providers/ipcProvider.ts:120

  Reset the connection

  #### Returns void

### send

- send(payload: any, callback: any): void

- - Defined in providers/ipcProvider.ts:62

  Send request to connected server

  #### Parameters

  - ##### payload: any

  - ##### callback: any

  #### Returns void

### Private timeout

- timeout(): void

- - Defined in providers/ipcProvider.ts:134

  Handling timeout events

  #### Returns void

Generated using TypeDoc